Package Details: lib32-gmp4 4.3.2-2

Git Clone URL: https://aur.archlinux.org/lib32-gmp4.git (read-only)
Package Base: lib32-gmp4
Description: Legacy version of gmp. Provides libgmp.so.3 (32 bit)
Upstream URL: http://gmplib.org/
Keywords: gmp4 lib32
Licenses: LGPL3
Submitter: Xemertix
Maintainer: uncle
Last Packager: uncle
Votes: 70
Popularity: 0.291359
First Submitted: 2010-11-27 19:59
Last Updated: 2016-02-08 11:42

Latest Comments

Jristz commented on 2017-10-11 05:22

please change all the
> cd gmp-${pkgver}
into
> cd "gmp-${pkgver}"
or it will break with any directory using spaced like happend to AeroCyber

or beter check the pkgbuild in case you can improve it like i'm not sure if the "libtool is needed if you remove the .a files at the end.

AeroCyber commented on 2017-10-07 12:39

I hade a problem running "makepkg -s". Thanks to the help of the user slithery in the Arch forum i found out that the error was due to the fact that i was run "makepkg -s" inside a folder with a space in its name.

Slithery suggested me to signal this here, he said: "This is due to an error in the packaging where someone has forgotten to quote their variables properly. ... All Arch packages are expected to handle spaces in directory names properly"

I posto also the link of the discussion on the Arch forum: https://bbs.archlinux.org/viewtopic.php?id=230560.

uncle commented on 2016-02-08 11:42

Fixed.

rafaelff commented on 2016-02-01 05:58

There's a "archive/" missing in the source array. Correct would be:
source=(https://gmplib.org/download/gmp/archive/gmp-${pkgver}.tar.bz2)

Graith commented on 2016-02-01 04:24

Source at gmplib.org is giving 404.

uncle commented on 2015-10-09 01:16

I have adopted this package, and downgraded it it gmp4, as it had previously been upgraded to gmp5. As the package is titled "gmp4" I thought this made sense. This package will also once again provide libgmp.so.3 (gmp3). If you have previously installed this package you will probably have to manually reinstall it, or uninstall then install again in order to get the new downgraded version.

Sudowoodo commented on 2014-07-19 10:33

Orphaned.

Sudowoodo commented on 2014-07-17 18:51

@egates Indeed, libgmp.so.3 is not provided. Should I orphan the package?

egates commented on 2014-07-16 21:34

New package no longer provides libgmp.so.3

JoeGruff commented on 2014-03-18 01:55

This just worked fine for me.

All comments